/* Wingate Monitor Bot -- (c) 2001 Darcy Grexton
   Based on wgmon, (c) 1999-2001 Lucas Madar & DALnet
 */

extern int m_privmsg(), m_ping(), m_pong(), m_reg(), m_uhrep(), m_invite();
extern int ssend (char *pattern, ...), match (char *mask, char *name);
extern void do_wg (char *k, char *u, unsigned long ip, char *n, int show);
extern void do_s4 (char *k, char *u, unsigned long ip, char *n, int show);
extern void do_s5 (char *k, char *u, unsigned long ip, char *n, int show);
extern void show_stats (char *target), show_memstats (char *target);
extern void setup_hash(), kill_hash();
extern struct client *add_host_hash (char *host);
extern void del_host_hash (char *host), hash_stat (char *to);
extern int find_host_hash_cnt (char *host);
extern struct client *find_host_hash (char *host);
extern void match_host (char *to, char *mask);
extern void load_triggers(), load_ignore(), load_autoban(), save_triggers();
extern int match (char *mask, char *name);
extern void initconfig ();
extern int loadconf (int isonline);
extern unsigned long numclones, actualuser, currenttime;
extern long cstructs;
extern int pingstate;
extern char myserv[66];

#include "conf.h"

#ifndef MAX_PATH
#define MAX_PATH 256
#endif

/* Prefix for .log, .conf, etc files*/
#define DEFAULTNAME "wbt"

extern char CONFFILE[MAX_PATH], TRIGGERFILE[MAX_PATH], AUTOBANFILE[MAX_PATH];
extern char IGNOREFILE[MAX_PATH];

/* file extension for .conf file */
#define CONF_EXT "conf"

/* I log wingates to this file.. */
#define LOG_EXT "log"

/* I write my pid to this file.. */
#define PID_EXT "pid"

/* version info */
#define MAJOR 4
#define MINOR 0
#define PATCH 0
