/* Wingate Monitor Bot -- (c) 2001 Darcy Grexton
   Based on wgmon, (c) 1999-2001 Lucas Madar & DALnet
 */

/* Maximum number of outgoing connects. Set to something reasonable */
#define MAX_OPEN 1024

/* Timeout for sockets between connect() and write(), and then
 * write() and read() */
#define TIMEOUT 45

/* time to kline open wingates and clones for, in minutes */
#define KLINETIME 30

#define CLONE_ALERTS		/* report clones in locops */

#define DEFAULT_TRIGGER_LEVEL	5	/* if no previous trigger is set, complain about clones at this level */
#define TRIGGER_EXT "triggers"	/* extension of file to save/load triggers in */

#define CLONE_ALERT_TIME	60	/* if the number of clones is the same, and we are complaining,
					 * only do so if the last complain was this many seconds ago */

/* 
 * AUTO CLONE KLINING
 *
 * Only activated if there are >= DEFAULT_TRIGGER_LEVEL + AUTO_KLINE_LEVEL clones
 * and 3 clones have been loaded in a period of CLONE_TIME_APART seconds
 * from each other.
 */

#undef AUTO_CLONE_KLINING	/* Do we want to do this or not? undef to turn off. */
#define AUTO_KLINE_LEVEL	0	/* trigger plus this value == auto kline for cloning IF */
#define CLONE_TIME_APART	5	/* the last clone was loaded <= than this many seconds ago */

#define CLONE_KLINE_REASON "Too many clones from your host."

#define KREASON "Open Wingate or Socks proxy. Visit www.habber.net/kline.php for help or information."

#define AUTOBAN_REASON "You are not welcome on this server."

/* file type extensions.. */
#define AUTOBAN_EXT "autoban"
#define IGNORE_EXT "ignore"
